Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.planner.api.domain.value
Enum ValueRangeType

    java.lang.Object
      java.lang.Enum<ValueRangeType>
          org.drools.planner.api.domain.value.ValueRangeType

All Implemented Interfaces:
  Serializable, Comparable<ValueRangeType>

    public enum ValueRangeType

extends Enum<ValueRangeType>

Enum Constant Summary
`FROM_PLANNING_ENTITY_PROPERTY` The planning value range for the planning variable is defined by a property on the planning entity.
`FROM_SOLUTION_PROPERTY` The planning value range for the planning variable is defined by a property on the `Solution`.
`UNDEFINED` The planning value range for the planning variable is undefined.

Method Summary
`static ValueRangeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ValueRangeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FROM_SOLUTION_PROPERTY

    public static final ValueRangeType FROM_SOLUTION_PROPERTY

  The planning value range for the planning variable is defined by a property on the `Solution`.

### FROM_PLANNING_ENTITY_PROPERTY

    public static final ValueRangeType FROM_PLANNING_ENTITY_PROPERTY

  The planning value range for the planning variable is defined by a property on the planning entity.

### UNDEFINED

    public static final ValueRangeType UNDEFINED

  The planning value range for the planning variable is undefined. This is incompatible with several optimization algorithms.

Method Detail

### values

    public static ValueRangeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ValueRangeType c : ValueRangeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ValueRangeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.